#ifndef PROJECTILE_HPP_INCLUDED
#define PROJECTILE_HPP_INCLUDED

#include "Renderable.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class Projectile : public Renderable
    {
        public:
            Projectile();
            Projectile(const void* Obj);
            Projectile(const Projectile& P);
            static Class GetClass();

            std::int32_t GetAnimationFrame() const;
            std::int32_t GetEndTick() const;
            double GetHeight() const;
            std::int32_t GetID() const;
            std::int32_t GetInteractIndex() const;
            bool GetMoving() const;
            std::int32_t GetPlane() const;
            std::int32_t GetRotationX() const;
            std::int32_t GetRotationY() const;
            std::int32_t GetStartTick() const;
            double GetX() const;
            double GetY() const;
    };
}


#endif // PROJECTILE_HPP_INCLUDED
